%define major 11
%define libname %mklibname raw1394_ %{major}
%define devname %mklibname raw1394 -d

Summary:	FireWire interface
Name:		libraw1394
Version:	2.1.0
Release:	11
License:	LGPLv2+
Group:		System/Libraries
Url:		http://sourceforge.net/projects/libraw1394/
Source0:	http://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.xz
Requires(post):	coreutils

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

#----------------------------------------------------------------------------

%package -n %{name}-utils
Summary:	Some small Firewire utilities
Group:		Communications

%description -n %{name}-utils
This package contains a few utilities to send and receive raw data over
Firewire (ieee1394).

%files -n %{name}-utils
%doc README AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	FireWire interface shared library
Group:		System/Libraries

%description -n %{libname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

This package contains the shared library to run applications linked
with %{name}.

%files -n %{libname}
%{_libdir}/libraw1394.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development and include files for libraw1394
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}raw1394_8-devel
Obsoletes:	%{_lib}raw1394-static-devel < 2.0.8

%description -n %{devname}
This archive contains the header-files for libraw1394 development.

%files -n %{devname}
%doc README NEWS AUTHORS
%{_includedir}/libraw1394
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog
* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1.0-11
+ Revision: 9af733b
- New version 2.1.0, spec cleanup


